Summary:        POP3, IMAP4 and SDPS mail retriever with Maildir delivery
Name:           getmail6
Version:        6.19.07
Release:        1%{?dist}
License:        GPLv2
URL:            https://getmail6.org/
Source0:	https://github.com/getmail6/getmail6/archive/v%{version}.tar.gz#/%name-%version.tar.gz

BuildArch:      noarch

BuildRequires:  python3
BuildRequires:  python3-rpm-macros
BuildRequires:  pkgconfig(python3)
%if 0%{?rhel} == 7
BuildRequires:  python3-setuptools
%else
BuildRequires:  python3dist(setuptools)
%endif

%description
getmail is a secure, flexible, reliable and easy-to-use
mail retriever for POP3, IMAP4 and SDPS.
It delivers mail into a Maildir or mbox file.
It is designed to replace other mail retrievers such as fetchmail.
Getmail is written entirely in python.

Getmail 6 is a fork of getmail v5.14 by Charles Cazabon
with adaptations to work with Python 3 and newer.

%prep
%autosetup

%build
%py3_build

%install
%py3_install
rm -r %{buildroot}%{_datadir}/doc/getmail-%{version}

%files
%doc docs/BUGS docs/CHANGELOG docs/COPYING docs/THANKS docs/HACKING
%doc docs/*.html docs/*.txt docs/getmaildocs.css docs/getmailrc-examples
%{_bindir}/getmail
%{_bindir}/getmails
%{_bindir}/getmail_fetch
%{_bindir}/getmail_maildir
%{_bindir}/getmail_mbox
%{_bindir}/getmail-gmail-xoauth-tokens
%{python3_sitelib}/getmail*.egg-info
%{python3_sitelib}/getmailcore/*.py
%{python3_sitelib}/getmailcore/__pycache__/*.pyc
%{_mandir}/man1/getmail.1*
%{_mandir}/man1/getmails.1*
%{_mandir}/man1/getmail_fetch.1*
%{_mandir}/man1/getmail_maildir.1*
%{_mandir}/man1/getmail_mbox.1*

%changelog
* Thu Feb 13 2025 Greg Wildman <greg@techno.co.za> - 6.19.07-1
- Updateded version.

* Thu Dec 29 2022 Greg Wildman <greg@techno.co.za> - 6.18.10-1
- Updated version.

* Tue Jul 26 2022 Greg Wildman <greg@techno.co.za> - 6.15-1
- Updated version.

* Wed Feb 17 2021 Greg Wildman <greg@techno.co.za> - 6.14-1
- Initial spec.

